Menu = Core.class(Sprite)

function Menu:init()

	application:setBackgroundColor(0x123456)

	local mytitle = xCenteredTextField.new("MENU", nil, "0xff1111", 4, 4, myappwidth / 2, myappheight / 6)
	self:addChild(mytitle)
	
	local arab_words = {
--[[
		Arabic_Words.new(26, 9, 1, 0, 2, 28, 3, 0, nil, nil, nil, nil, nil, nil, nil,
						"d", "m", "i", " ", "md", "m", "f", ".", nil, nil, nil, nil, nil, nil, nil,
						"as", nil, nil, " ", "a", "s", "oun", ".", nil, nil, nil, nil, nil, nil, nil),
		Arabic_Words.new(26, 9, 1, 0, 24, 12, 5, 8, 0, nil, nil, nil, nil, nil, nil,
						"d", "m", "i", " ", "md", "m", "m", "f", ".", nil, nil, nil, nil, nil, nil,
						"as", nil, nil, " ", "a", "s", "i", "oun", ".", nil, nil, nil, nil, nil, nil),
		Arabic_Words.new(26, 9, 1, 0, 2, 1, 2, 0, nil, nil, nil, nil, nil, nil, nil,
						"d", "m", "i", " ", "md", "m", "i", ".", nil, nil, nil, nil, nil, nil, nil,
						"as", nil, nil, " ", "a", nil, "oun", ".", nil, nil, nil, nil, nil, nil, nil),
		Arabic_Words.new(26, 9, 1, 0, 22, 3, 1, 2, 0, nil, nil, nil, nil, nil, nil,
						"d", "m", "i", " ", "md", "m", "m", "i", ".", nil, nil, nil, nil, nil, nil,
						"as", nil, nil, " ", "i", "a", nil, "oun", ".", nil, nil, nil, nil, nil, nil),
		Arabic_Words.new(26, 9, 1, 0, 21, 23, 24, 0, nil, nil, nil, nil, nil, nil, nil,
						"d", "m", "i", " ", "md", "m", "f", ".", nil, nil, nil, nil, nil, nil, nil,
						"as", nil, nil, " ", "a", "a", "oun", ".", nil, nil, nil, nil, nil, nil, nil),

		Arabic_Words.new(9, 23, 22, 0, 25, 5, 24, 0, nil, nil, nil, nil, nil, nil, nil,"d", "md", "mf", " ", "md", "m", "f", ".", nil, nil, nil, nil, nil, nil, nil,"as", "i", "a", " ", "a", "s", "oun", ".", nil, nil, nil, nil, nil, nil, nil),
		Arabic_Words.new(9, 23, 22, 0, 2, 28, 3, 0, nil, nil, nil, nil, nil, nil, nil,"d", "md", "mf", " ", "md", "m", "f", ".", nil, nil, nil, nil, nil, nil, nil,"as", "i", "a", " ", nil, nil, "oun", ".", nil, nil, nil, nil, nil, nil, nil),
		Arabic_Words.new(9, 23, 22, 0, 6, 24, 1, 10, 0, nil, nil, nil, nil, nil, nil,"d", "md", "mf", " ", "md", "m", "m", "i", ".", nil, nil, nil, nil, nil, nil,"as", "i", "a", " ", "i", nil, nil, "oun", ".", nil, nil, nil, nil, nil, nil),
		Arabic_Words.new(9, 23, 22, 0, 21, 16, 0, nil, nil, nil, nil, nil, nil, nil, nil,"d", "md", "mf", " ", "md", "f", ".", nil, nil, nil, nil, nil, nil, nil, nil,"as", "i", "a", " ", "i", "oun", ".", nil, nil, nil, nil, nil, nil, nil, nil),
]]

--		Arabic_Words.new(2, 28, 3, 0, 1, 23, 2, 28, 3, nil, nil, nil, nil, nil, nil,"d", "m", "mf", ":", "md", "md", "m", "m", "f", nil, nil, nil, nil, nil, nil,"a", "s", "oun", ":", "a", "s", "a", "s", "ou", nil, nil, nil, nil, nil, nil),
		Arabic_Words.new(2, 27, 2, 0, 1, 23, 2, 28, 3, nil, nil, nil, nil, nil, nil,"d", "m", "mf", ":", "md", "md", "m", "m", "f", nil, nil, nil, nil, nil, nil,"a", "s", "oun", ":", "a", "s", "a", "s", "ou", nil, nil, nil, nil, nil, nil),
		Arabic_Words.new(22, 3, 1, 2, 0, 1, 23, 22, 3, 1, 2, nil, nil, nil, nil,"d", "m", "m", "i", ":", "md", "md", "m", "m", "m", "i", nil, nil, nil, nil,"i", "a", nil, "oun", ":", "a", "s", "i", "a", nil, "ou", nil, nil, nil, nil),
		Arabic_Words.new(21, 23, 24, 0, 1, 23, 21, 23, 24, nil, nil, nil, nil, nil, nil,"d", "m", "mf", ":", "md", "md", "m", "m", "f", nil, nil, nil, nil, nil, nil,"a", "a", "oun", ":", "a", "s", "a", "a", "ou", nil, nil, nil, nil, nil, nil),
		Arabic_Words.new(5, 24, 23, 0, 1, 23, 5, 24, 23, nil, nil, nil, nil, nil, nil,"d", "m", "mf", ":", "md", "md", "m", "m", "f", nil, nil, nil, nil, nil, nil,"a", "a", "oun", ":", "a", "s", "a", "a", "ou", nil, nil, nil, nil, nil, nil),
	}

	for w = 1, #arab_words do
		aw = arab_words[w]
--		aw:setPosition(myappwidth - (w - 1) * 64, (w - 1) * 100)
		aw:setPosition(myappwidth - 100, (w + 2) * 100)
		aw:setScale(1, 1)
		aw:setAlpha(1.0)
		self:addChild(aw)
	end

	-- LISTENERS
	self:addEventListener("enterBegin", self.onTransitionInBegin, self)
	self:addEventListener("enterEnd", self.onTransitionInEnd, self)
	self:addEventListener("exitBegin", self.onTransitionOutBegin, self)
	self:addEventListener("exitEnd", self.onTransitionOutEnd, self)

end

-- EVENT LISTENERS
function Menu:onTransitionInBegin()
end

function Menu:onTransitionInEnd()
	self:Buttons()
	self:MyKeysPressed()
end

function Menu:onTransitionOutBegin()
end

function Menu:onTransitionOutEnd()
end

-- BUTTONS
function Menu:Buttons()

	local buttonscale = 4.5
	local buttoncolor = "0xffaa99"

	local button01 = Button.new("Level 1", nil, buttoncolor, buttonscale, buttonscale, nil, nil)
	button01:setPosition(myappwidth / 2, myappheight / 4 + 1 * buttonscale * 10)
	self:addChild(button01)

--[[
	local button02 = Button.new("Level 2", nil, buttoncolor, buttonscale, buttonscale, nil, nil)
	button02:setPosition(myappwidth / 2, myappheight / 4 + 3 * buttonscale * 10)
	self:addChild(button02)

	local button03 = Button.new("Level 3", nil, buttoncolor, buttonscale, buttonscale, nil, nil)
	button03:setPosition(myappwidth / 2, myappheight / 4 + 5 * buttonscale * 10)
	self:addChild(button03)
]]

	-- BUTTONS LISTENERS
	button01:addEventListener("click",
		function()
			local transition = transitions[2]
			sceneManager:changeScene("level_01", 1, transition, easing.outBack)
	end)

--[[
	button02:addEventListener("click",
		function()
			local transition = transitions[3]
			sceneManager:changeScene("level_gameover", 1, transition, easing.outQuadratic)
	end)

	button03:addEventListener("click",
		function()
			local transition = transitions[4]
			sceneManager:changeScene("level_gameover", 1, transition, easing.outBounce)
	end)
]]

end

-- KEYS HANDLER
function Menu:MyKeysPressed()

	self:addEventListener(Event.KEY_DOWN, function(event)

		if event.keyCode == KeyCode.BACK or event.keyCode == KeyCode.ESC then

			application:exit()

		end

	end)

end


